package com.adealink.weparty.ui.main.viewmodel

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.adealink.weparty.commonui.ext.dp
import com.adealink.weparty.module.playmate.Playmate

enum class MainBottomPage(val router: String, val pageHeight: Int) {
    FIND_PARTNER(Playmate.FindPartner.PATH, 500.dp())
}

class MainPageViewModel : BaseViewModel() {

    val showBottomPageLD = ExtMutableLiveData<MainBottomPage>()

    fun showBottomPage(page: MainBottomPage) {
        showBottomPageLD.send(page)
    }

}